Pyluxcoretool exe not working on Windows

Discussion related to the Engine functionality, implementations and API.
Post Reply
acasta69
Developer
Posts: 91
Joined: Tue Jan 09, 2018 3:45 pm

Pyluxcoretool exe not working on Windows

Post by acasta69 » Mon Feb 11, 2019 9:01 am

Hi, I'm getting this error when running pyluxcoretool.exe from recent Windows builds:

Code: Select all

Exception: [Errno 2] No such file or directory: 'C:\\support\\signature\\loader.py'
Traceback (most recent call last):
  File "pyscript", line 23, in bootstrap
FileNotFoundError: [Errno 2] No such file or directory: 'C:\\support\\signature\\loader.py'
AttributeError: module 'signature_loader' has no attribute 'pyside_type_init'
SystemError: could not initialize part 2

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "site-packages\PyInstaller\loader\rthooks\pyi_rth_pkgres.py", line 11, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "site-packages\pkg_resources\__init__.py", line 33, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "platform.py", line 117, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "subprocess.py", line 50, in <module>
  File "<frozen importlib._bootstrap>", line 968, in _find_and_load
  File "<frozen importlib._bootstrap>", line 957, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 673, in _load_unlocked
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\site-packages\PyInstaller\loader\pyimod03_importers.py", line 627, in exec_module
  File "signal.py", line 45, in <module>
  File "c:\hostedtoolcache\windows\python\3.5.4\x64\lib\functools.py", line 60, in update_wrapper
SystemError: <method-wrapper '__get__' of getset_descriptor object at 0x000000000012A900> returned a result with an error set
[5100] Failed to execute script pyi_rth_pkgres
I am not 100% sure if it's a local problem of mine: is there any Windows user that could please check if network rendering is working with the latest build?
Otherwise, it must be a problem either in PyInstaller or in the latest PySide2 version, 5.12.1 and I'll set automated builds to use the previous PySide2 version until I find a solution.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

User avatar
Dade
Developer
Posts: 1950
Joined: Mon Dec 04, 2017 8:36 pm

Re: Pyluxcoretool exe not working on Windows

Post by Dade » Mon Feb 11, 2019 10:21 am

Yup, I'm getting the same error from the latest build.
Support LuxCoreRender project with salts and bounties

acasta69
Developer
Posts: 91
Joined: Tue Jan 09, 2018 3:45 pm

Re: Pyluxcoretool exe not working on Windows

Post by acasta69 » Mon Feb 11, 2019 10:40 am

Thanks Dade, for the time being I've modified the version in automated builds (5.12.0 was working fine).
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

Post Reply